Bug 458323 - [Broadcom 4.8 bug] LINKDELAY parameter hasn't been added to network-functions/DHCP script of initscripts in RHEL4
[Broadcom 4.8 bug] LINKDELAY parameter hasn't been added to network-functions...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: initscripts (Show other bugs)
4.7
All Linux
medium Severity urgent
: rc
: 4.8
Assigned To: initscripts Maintenance Team
Brock Organ
: OtherQA
Depends On:
Blocks: 450902
  Show dependency treegraph
 
Reported: 2008-08-07 12:02 EDT by Gideon Naim
Modified: 2009-09-03 10:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gideon Naim 2008-08-07 12:02:58 EDT
Description of problem:

LINKDELAY parameter has been added to initscripts-7.93.33-1 but this value isn't part of the DHCP script - line 269 in network-functions its still a constant value.

The DHCP usage of LINKDELAY was added in initscripts-8.38-1 (RHEL5), but not to the initscripts RPMs for RHEL4 



Version-Release number of selected component (if applicable): initscripts-7.93.33-1


How reproducible:

System reboot test on systems that can not guarantee a network time to link of 5 seconds.


Steps to Reproduce:
1. Configure DHCP on a network adapter
2. Connect to a DHCP
3. Reboot test
  
Actual results:

Networking device gets disabled.


Expected results:

LINKDELAY should cause the DHCP script to not timeout and succeed.


Additional info:

This bug is similar to #191137 that has been fixed in RHEL5
Comment 1 RHEL Product and Program Management 2008-09-05 13:21:45 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Chris Ward 2009-03-02 03:54:02 EST
Broadcom, could you please verify that the latest package available in the RHEL 4.8 Beta (available on partners.redhat.com) fixes the issue reported in this bug?

If you have any questions regarding the accessing the beta, ping your Partner Manager. If you encounter any issues, please report them here.
Comment 7 Chris Ward 2009-03-13 10:03:46 EDT
~~ Attention Partners!  ~~
RHEL 4.8Beta has been released on partners.redhat.com. There should
be a fix present, which addresses this bug. Please test and report back results on this OtherQA Partner bug at your earliest convenience.

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe any issues you encountered. If you have found a NEW bug, clone this bug and describe the issues you've encountered. Further questions can be directed to your Red Hat Partner Manager.

If you have VERIFIED the bug fix. Please select your PartnerID from the Verified field above. Please leave a comment with your test results details. Include which arches tested, package version and any applicable logs.

 - Red Hat QE Partner Management
Comment 8 Gideon Naim 2009-03-24 15:32:32 EDT
Hi,

I have verified that this is fixed in 4.8 Beta and that the LINKDELAY parameter is being used correctly when DHCP is configured.

Thanks,
Gidi
Comment 10 errata-xmlrpc 2009-05-18 16:27:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1000.html

Note You need to log in before you can comment on or make changes to this bug.